<?xml version='1.0' encoding='UTF-8'?>
<pyvcp>
	<labelframe text="Extruder">
		<font>("Helvetica",12)</font>
		<!-- Enabled -->
		<hbox>
			<relief>RIDGE</relief>
			<bd>2</bd>
			<checkbutton>
				<halpin>"enable-chkbtn"</halpin>
				<text>"     Enable Extruder Temp Ctrl"</text>
				<font>("Helvetica",10)</font>
				<initval>1</initval>
			</checkbutton>
		</hbox>
		<!-- Ref Temp -->
		<hbox>
			<relief>RIDGE</relief>
			<bd>2</bd>
			<label>
				<text>"Ref Temp "</text>
				<font>("Helvetica",10)</font>
			</label>
			<u32>
				<halpin>"ref-temp"</halpin>
				<font>("Helvetica",10)</font>
				<format>"6d"</format>
				<width>6</width>
			</u32>
		</hbox>
		<!-- Curr Temp -->
		<hbox>
			<relief>RIDGE</relief>
			<bd>2</bd>
			<label>
				<text>"Curr Temp"</text>
				<font>("Helvetica",10)</font>
			</label>
			<u32>
				<halpin>"curr-temp"</halpin>
				<font>("Helvetica",10)</font>
				<format>"6d"</format>
				<width>6</width>
			</u32>
		</hbox>
		<hbox>
			<relief>RIDGE</relief>
			<bd>2</bd>
			<label>
				<text>"Extruder Fan PWM"</text>
				<font>("Helvetica",10)</font>
			</label>
			<u32>
				<halpin>"fan-pwm"</halpin>
				<font>("Helvetica",10)</font>
				<format>"6d"</format>
				<width>6</width>
			</u32>
		</hbox>
	</labelframe>
	<labelframe text="Bed">
		<font>("Helvetica",12)</font>
		<hbox>
			<relief>RIDGE</relief>
			<bd>2</bd>
			<label>
				<text>"Bed PWM"</text>
				<font>("Helvetica",10)</font>
			</label>
			<u32>
				<halpin>"bed-pwm"</halpin>
				<font>("Helvetica",10)</font>
				<format>"6d"</format>
				<width>6</width>
			</u32>
		</hbox>
	</labelframe>
	<labelframe text="Info">
		<font>("Helvetica",12)</font>
		<relief>RIDGE</relief>
		<bd>2</bd>
		<hbox>
			<label>
				<text>"M102 - Enable steppers"</text>
				<font>("Helvetica",8)</font>
			</label>
		</hbox>	
		<hbox>
			<label>
				<text>"M103 - Disable steppers"</text>
				<font>("Helvetica",8)</font>
			</label>
		</hbox>
		<hbox>
			<label>
				<text>"M104 - Set Extruder Temperature"</text>
				<font>("Helvetica",8)</font>
			</label>
		</hbox>
		<hbox>
			<label>
				<text>"M106 - Set Extruder fan PWM"</text>
				<font>("Helvetica",8)</font>
			</label>
		</hbox>
		<hbox>
			<label>
				<text>"M107 - Turn off Extruder fan"</text>
				<font>("Helvetica",8)</font>
			</label>
		</hbox>
		<hbox>
			<label>
				<text>"M109 - Set Extruder Temperature and Wait"</text>
				<font>("Helvetica",8)</font>
			</label>
		</hbox>
		<hbox>
			<label>
				<text>"M140 - Set Bed Temperature"</text>
				<font>("Helvetica",8)</font>
			</label>
		</hbox>
	</labelframe>
</pyvcp>

